// creator  : weidu (version 176)
// argument : GARRICK.DLG
// game     : .
// source   : ./data/Dialog.bif
// dialog   : ./dialog.tlk
// dialogF  : (none)

BEGIN ~GARRICK~ 2 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #4 /* Triggers after states #: 3 5 7 12 even though they appear after this state */
~RandomNum(3,1)
~ THEN BEGIN 0 // from:
  SAY #27832 /* ~My love for the Lady Irlana leaves me so weak in the knees there is almost no other thought I can hold in my head!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #5 /* Triggers after states #: 3 5 7 12 even though they appear after this state */
~RandomNum(3,2)
~ THEN BEGIN 1 // from:
  SAY #27833 /* ~It is a good thing for Cyrando...he has such a way with words.  He is a good friend...and I am a poor excuse for a bard.  (sigh)~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #6 /* Triggers after states #: 3 5 7 12 even though they appear after this state */
~RandomNum(3,3)
~ THEN BEGIN 2 // from:
  SAY #27834 /* ~Come to think of it, you do look passingly familiar.  Did we perhaps meet in Beregost?  I can hardly remember.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 /* Triggers after states #: 7 12 even though they appear after this state */
~InParty("Jaheira")
See("Jaheira")
!StateCheck("Jaheira",STATE_SLEEPING)
RandomNum(2,1)
Global("Jaheira","LOCALS",0)
~ THEN BEGIN 3 // from:
  SAY #27862 /* ~Hmmmn...for some reason, you seem rather familiar, too, my dear.~ */
  IF ~~ THEN DO ~SetGlobal("Jaheira","LOCALS",1)
~ EXTERN ~JAHEIRAJ~ 285
END

IF ~~ THEN BEGIN 4 // from:
  SAY #27864 /* ~Hmm.  Nope, doesn't ring a bell.  Who's this Silke person?~ */
  IF ~~ THEN EXTERN ~JAHEIRAJ~ 286
END

IF WEIGHT #3 /* Triggers after states #: 7 12 even though they appear after this state */
~InParty("HaerDalis")
See("HaerDalis")
!StateCheck("HaerDalis",STATE_SLEEPING)
RandomNum(2,1)
Global("HaerDalis","LOCALS",0)
~ THEN BEGIN 5 // from:
  SAY #27866 /* ~(sigh)  I sometimes despair that Lady Irlana will never be mine.~ */
  IF ~~ THEN DO ~SetGlobal("HaerDalis","LOCALS",1)
~ EXTERN ~HAERDAJ~ 45
END

IF ~~ THEN BEGIN 6 // from:
  SAY #27868 /* ~Eh?  What was all that?  Can I write it down?~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~NumTimesTalkedTo(0)
!Dead("tirlana")
!Dead("tcyrando")
!StateCheck("tirlana",STATE_SLEEPING)
!StateCheck("tcyrando",STATE_SLEEPING)
~ THEN BEGIN 7 // from:
  SAY #27869 /* ~Lady Irlana!  Oh, my fair Lady Irlana!!~ */
  IF ~~ THEN EXTERN ~TIRLANA~ 7
END

IF ~~ THEN BEGIN 8 // from:
  SAY #27871 /* ~I, uh...I, uh...~ */
  IF ~~ THEN EXTERN ~TCYRANDO~ 4
END

IF ~~ THEN BEGIN 9 // from:
  SAY #27873 /* ~I am...here to pledge...to you the love...of a poet and an artist.  Take my fragile love, my...sweet, hold it in your...hands as a gaze upon you admiringly.  Er...yes, that's right...~ */
  IF ~~ THEN EXTERN ~TIRLANA~ 8
END

IF ~~ THEN BEGIN 10 // from:
  SAY #27879 /* ~Come with...me, my lady...and let me out damn insects!  No, you fool...don't, uh...~ */
  IF ~~ THEN EXTERN ~TCADRIL~ 6
END

IF ~~ THEN BEGIN 11 // from:
  SAY #27882 /* ~Um...excuse me for a moment...~ */
  IF ~~ THEN DO ~SetGlobalTimer("Garrick","GLOBAL",ONE_DAY)
~ EXIT
END

IF WEIGHT #1 ~GlobalTimerExpired("Garrick","GLOBAL")
Global("GarrickSpeak","GLOBAL",0)
!Dead("tirlana")
!Dead("tcyrando")
!StateCheck("tirlana",STATE_SLEEPING)
!StateCheck("tcyrando",STATE_SLEEPING)~ THEN BEGIN 12 // from:
  SAY #27883 /* ~Lady Irlana!  I wish to, uh, proclaim my undying love...for you.  Yes, for you!~ */
  IF ~~ THEN DO ~SetGlobalTimer("Garrick","GLOBAL",ONE_DAY)
SetGlobal("GarrickSpeak","GLOBAL",1)
~ EXTERN ~TIRLANA~ 10
END

IF ~~ THEN BEGIN 13 // from:
  SAY #27887 /* ~Yes...ummm...okay...~ */
  IF ~~ THEN EXTERN ~TCYRANDO~ 6
END

IF ~~ THEN BEGIN 14 // from:
  SAY #27889 /* ~Lady Irlana, I am...bedazzled by your...beauty and yawn-struck...by your nobility.  What...I would not to do...spend an evening...in your barns.~ */
  IF ~~ THEN EXTERN ~TCYRANDO~ 7
END

IF ~~ THEN BEGIN 15 // from:
  SAY #27891 /* ~Arms, fool!  I, uh...I meant arms.  Yes, your arms.~ */
  IF ~~ THEN EXTERN ~TCADRIL~ 8
END

IF ~~ THEN BEGIN 16 // from:
  SAY #27894 /* ~Well...it's easy...I, uh...~ */
  IF ~~ THEN EXTERN ~TCYRANDO~ 8
END

IF ~~ THEN BEGIN 17 // from:
  SAY #27896 /* ~(Why not tell her how handsome and studly I am, Cyrando?)~ */
  IF ~~ THEN EXTERN ~TCYRANDO~ 9
END

IF ~~ THEN BEGIN 18 // from:
  SAY #27898 /* ~I can never...truly be worthy of a...blue lady of virtue..my love...I only desire you...that you see past...my faults and give...me pants!~ */
  IF ~~ THEN EXTERN ~TIRLANA~ 13
END
