// creator  : weidu (version 176)
// argument : TIRLANA.DLG
// game     : .
// source   : ./override/TIRLANA.DLG
// dialog   : ./dialog.tlk
// dialogF  : (none)

BEGIN ~TIRLANA~ 2 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #3 /* Triggers after states #: 4 6 17 even though they appear after this state */
~RandomNum(4,1)
~ THEN BEGIN 0 // from:
  SAY #27838 /* ~I wonder who that gnome be who stands always behind Garrick.  He certainly does look rather cute, methinks.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 /* Triggers after states #: 4 6 17 even though they appear after this state */
~RandomNum(4,2)
~ THEN BEGIN 1 // from:
  SAY #27839 /* ~Garrick be an amusing man, but he'll hardly take my heart.  For a bard, he seems to have a hesitant and awkward grasp of courtly words.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #5 /* Triggers after states #: 4 6 17 even though they appear after this state */
~RandomNum(4,3)
~ THEN BEGIN 2 // from:
  SAY #27840 /* ~If I e'er found a man who could speak as Garrick does, but with fluency and passion...then that man would have my heart, methinks.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #6 /* Triggers after states #: 4 6 17 even though they appear after this state */
~RandomNum(4,4)
~ THEN BEGIN 3 // from:
  SAY #27841 /* ~Greetings to you, my <LADYLORD>.  I be Lady Irlana, Knight of the Order of the Most Radiant Heart.  At your service.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 /* Triggers after states #: 17 even though they appear after this state */
~InParty("Keldorn")
See("Keldorn")
!StateCheck("Keldorn",STATE_SLEEPING)
RandomNum(2,1)
Global("Keldorn","LOCALS",0)
~ THEN BEGIN 4 // from:
  SAY #27855 /* ~Ah...Sir Keldorn!  How do you do?  I just spoke to Lady Maria this morning, in fact.~ */
  IF ~~ THEN DO ~SetGlobal("Keldorn","LOCALS",1)
~ EXTERN ~KELDORJ~ 69
END

IF ~~ THEN BEGIN 5 // from:
  SAY #27857 /* ~Well enough, Keldorn.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 /* Triggers after states #: 17 even though they appear after this state */
~InParty("Anomen")
See("Anomen")
!StateCheck("Anomen",STATE_SLEEPING)
RandomNum(2,1)
Global("Anomen","LOCALS",0)
~ THEN BEGIN 6 // from:
  SAY #27858 /* ~Greetings to you, Anomen!  It is good to see you again!~ */
  IF ~~ THEN DO ~SetGlobal("Anomen","LOCALS",1)
~ EXTERN ~ANOMENJ~ 141
END

IF ~~ THEN BEGIN 7 // from:
  SAY #27870 /* ~Err...Garrick, isn't it?  What can I do for ye, Garrick?~ */
  IF ~~ THEN EXTERN ~GARRICK~ 8
END

IF ~~ THEN BEGIN 8 // from:
  SAY #27875 /* ~Oh...I see.  Well, thank you, Garrick.~ */
  IF ~~ THEN EXTERN ~TCADRIL~ 5
END

IF ~~ THEN BEGIN 9 // from:
  SAY #27881 /* ~So I see.~ */
  IF ~~ THEN EXTERN ~GARRICK~ 11
END

IF ~~ THEN BEGIN 10 // from:
  SAY #27884 /* ~By Torm, not again!~ */
  IF ~~ THEN EXTERN ~TCADRIL~ 7
END

IF ~~ THEN BEGIN 11 // from:
  SAY #27886 /* ~Well, get on with it, then.~ */
  IF ~~ THEN EXTERN ~GARRICK~ 13
END

IF ~~ THEN BEGIN 12 // from:
  SAY #27892 /* ~Did you now, good sir?  And what makes you think you be worthy to spend an evening in my arms?~ */
  IF ~~ THEN EXTERN ~GARRICK~ 16
END

IF ~~ THEN BEGIN 13 // from:
  SAY #27900 /* ~Give you pants, good sir?  Are you, perchance, missing a pair?~ */
  IF ~~ THEN EXTERN ~TCADRIL~ 9
END

IF ~~ THEN BEGIN 14 // from:
  SAY #27905 /* ~It was your words, little gnome, that stole my heart.  Placing them in Garrick's mouth did naught for me.  I love you for it, regardless.~ */
  IF ~~ THEN EXTERN ~TCADRIL~ 11
END

IF ~~ THEN BEGIN 15 // from:
  SAY #27908 /* ~If she takes charge of his life, he'll be the better for it.~ */
  IF ~~ THEN EXTERN ~TCADRIL~ 12
END

IF ~~ THEN BEGIN 16 // from:
  SAY #27910 /* ~Thank you, Sir Cadril...I shall see you soon.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF WEIGHT #0 ~InParty("Valygar")
See("Valygar")
!StateCheck("Valygar",STATE_SLEEPING)
RandomNum(2,1)
Global("Valygar","LOCALS",0)
~ THEN BEGIN 17 // from:
  SAY #74657 /* ~Valygar, what a surprise! I must say that I am cross with you, Count Corthala.~ */
  IF ~~ THEN DO ~SetGlobal("Valygar","LOCALS",1)
~ EXTERN ~VALYGARJ~ 290
END

IF ~~ THEN BEGIN 18 // from:
  SAY #74659 /* ~Avoid? I do not believe that I will be saying so, but I wish you were better in avoiding. Why, not even a month past, I had to console a young squire to whom you told that you are not worthy of serving such a glorious deity as Torm. The boy was so impressed by your humility and purity, that he became a veritable fanatic. He questions everyone in the Order of how to become worthy and do not believe anyone's answers. Your name drops from his lips every hour. You are his hero, My Lord of Corthala.~ */
  IF ~~ THEN EXTERN ~VALYGARJ~ 291
END

IF ~~ THEN BEGIN 19 // from:
  SAY #74661 /* ~Breaking Zandor's illusions will hurt him, Valygar, but if he is wise, he will learn from it as well.~ */
  IF ~~ THEN EXIT
END
